<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatParameters/PPEMatClassParameterInt.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEMatClassParameterInt.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PPEMatClassParameterInt <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html">PPEMatClassParameterCommandData</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a00378ff98744977f1a55ea75061aa1e6">    3</a></span>    <span class="keyword">protected</span> ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,ref array&lt;int,int&gt;</a>&gt; <a class="code hl_variable" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a00378ff98744977f1a55ea75061aa1e6">m_LayerInfo</a>; <span class="comment">//&lt;priority,&lt;value,operator&gt;&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ad78887a65dd18e8a9de989e5e062955f">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_typedef" href="../../d1/d76/_p_p_e_constants_8c.html#a7ff7244ed06093256c10603f1dc6413b">PPETemplateDefInt</a> <a class="code hl_variable" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ad78887a65dd18e8a9de989e5e062955f">m_Int</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a649840e17211473739a2ae73a60e5a03">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a649840e17211473739a2ae73a60e5a03">m_ValueDefault</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a7f9a52e1c76ce290056e482778032340">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a7f9a52e1c76ce290056e482778032340">PPEMatClassParameterInt</a>(<span class="keywordtype">int</span> mat_idx, <span class="keywordtype">int</span> parameter_idx, <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a> parent)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int,ref array&lt;int,int&gt;</a>&gt;;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a6e7115087c1f2d5d4080861799ed3785">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a6e7115087c1f2d5d4080861799ed3785">InitDefaults</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(m_Int,m_Defaults);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a7b2c67d6e8db886f1152813cf1ff35e7">m_ValueDefault</a> = m_Int.param2;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aac6b657840015b06fae2fb7bbd20fda1">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aac6b657840015b06fae2fb7bbd20fda1">InitCuttent</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_CurrentValues = <span class="keyword">new</span> Param1&lt;int&gt;(<a class="code hl_variable" href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a7b2c67d6e8db886f1152813cf1ff35e7">m_ValueDefault</a>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a342d65aa486ea49729d6e988699c4593">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a342d65aa486ea49729d6e988699c4593">GetParameterVarType</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> PPEConstants.VAR_TYPE_INT;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a80a7ad9afd6c7c2ff03c083226c5d581">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a80a7ad9afd6c7c2ff03c083226c5d581">Update</a>(<span class="keywordtype">float</span> timeslice, out <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p_total, out <span class="keywordtype">bool</span> setting_defaults, <span class="keywordtype">int</span> order)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        super.Update(timeslice,p_total,setting_defaults,order);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keyword">protected</span> <span class="keywordtype">int</span> active_request_count = 0;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keyword">protected</span> PPERequestParamDataInt req_data;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keyword">protected</span> <span class="keywordtype">bool</span> setting_value_zero = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keyword">protected</span> <span class="keywordtype">bool</span> int_value_temp = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keyword">protected</span> <span class="keywordtype">bool</span> int_value_total = <a class="code hl_variable" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a06a2dd3f4c86f4ed4803ab516133d905">m_ValueDefault</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (p_total == null)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            p_total = <span class="keyword">new</span> Param1&lt;int&gt;(0);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> (m_RequestMap.Count() &gt; 0)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a>.Clear();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="comment">//DbgPrnt(&quot;m_RequestMap.Count() is zero! Using default values. | mat/par: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex);</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aed0dd50d062947a4af59be8591c84ec1">SetParameterValueDefault</a>(p_total);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.ParamUpdateRemove(m_ParameterIndex);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_RequestMap.Count(); i++ )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            req_data = PPERequestParamDataInt.Cast(m_RequestMap.GetElement(i));</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">if</span> (req_data == null)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;Debug | PPEMatClassParameterInt | req_data not found! | &quot;</span> + <span class="keyword">this</span> + <span class="stringliteral">&quot; | mat/par: &quot;</span> + m_MaterialIndex + <span class="stringliteral">&quot;/&quot;</span> + m_ParameterIndex);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            setting_value_zero = req_data.IsSettingDefaultValues();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">if</span> (setting_value_zero &amp;&amp; !req_data.GetUpdatingDataValues() &amp;&amp; !req_data.IsDataActive())</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <span class="comment">//DbgPrnt(&quot;Is Default, not updating | idx: &quot; + i + &quot; | mat/par/req: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex + &quot;/&quot; + req_data.GetRequesterIDX());</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">if</span> (setting_value_zero)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                req_data.m_IntTarget = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <span class="comment">//DbgPrnt(&quot;PPEDebug | PPEMatClassParameterInt - UpdateParameterValues | !data.m_DefaultTargetSet | mat/par/req: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex + &quot;/&quot; + req_data.GetRequesterIDX() + &quot; | req_data.m_IntTarget: &quot; + req_data.m_IntTarget);</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                active_request_count++;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="comment">//evaluation</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="comment">//--------------------------------</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            req_data.m_IntLast = req_data.m_IntCurrent;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">if</span> (!req_data.GetUpdatingDataValues() &amp;&amp; req_data.IsDataActive()) <span class="comment">//set to exact value, not updating anymore</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                int_value_temp = req_data.m_IntCurrent;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ac89b7fedf92ffe9805f9bacef7330ee1">PrepareLayerInfo</a>(req_data.GetPriorityLayer(),int_value_temp,req_data.GetInteractionMask());</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                <span class="comment">//DbgPrnt(&quot;PPEDebug | PPEMatClassParameterInt - UpdateParameterValues | !req_data.m_UpdatingData | mat/par/req: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex + &quot;/&quot; + req_data.GetRequesterIDX() + &quot; | not updating, addaing current value into mix: &quot; + int_value_temp);</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            int_value_temp = req_data.m_IntTarget;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="comment">//DbgPrnt(&quot;PPEDebug | PPEMatClassParameterInt - UpdateParameterValues | mat/par/req: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex + &quot;/&quot; + req_data.GetRequesterIDX());</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            req_data.SetUpdatingDataValues(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">if</span> (setting_value_zero)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                req_data.SetDataActive(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                <span class="comment">//RemovePriorityInfo(req_data.GetPriorityLayer()); //redundant?</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                int_value_temp = req_data.m_IntTarget;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ac89b7fedf92ffe9805f9bacef7330ee1">PrepareLayerInfo</a>(req_data.GetPriorityLayer(),int_value_temp,req_data.GetInteractionMask());</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            req_data.m_IntCurrent = int_value_temp;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> (active_request_count == 0)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aed0dd50d062947a4af59be8591c84ec1">SetParameterValueDefault</a>(p_total);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="comment">//---------------------------</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            <span class="comment">//MASK handling and calculation</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <span class="keywordtype">int</span> value;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordtype">int</span> <span class="keyword">operator</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="keywordtype">bool</span> override_active = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <span class="keywordflow">for</span> ( i = 0; i &lt; <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a>.Count(); i++ )</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <span class="keywordflow">if</span> ( override_active )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                value = <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a>.Get(m_CommandLayersArray.Get(i)).Get(LAYER_INFO_VALUE);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                <span class="keyword">operator</span> = <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a>.Get(m_CommandLayersArray.Get(i)).Get(LAYER_INFO_OPERATOR);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>                <span class="keywordflow">switch</span> (<span class="keyword">operator</span>)</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.LOWEST:</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>                        int_value_total = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Min</a>(int_value_total,value);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                    </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.HIGHEST:</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>                        int_value_total = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(int_value_total,value);</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                    </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.OVERRIDE:</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                        int_value_total = value;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                    </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.SET:</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                        int_value_total = value;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                        <a class="code hl_function" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a>(<span class="stringliteral">&quot;PPEMatClassParameterInt | Invalid operator &quot;</span> + <span class="keyword">operator</span> + <span class="stringliteral">&quot; in mat/par: &quot;</span> + m_MaterialIndex + <span class="stringliteral">&quot;/&quot;</span> + m_ParameterIndex);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                <span class="keywordflow">if</span> ( <span class="keyword">operator</span> == <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a>.OVERRIDE )</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                    <span class="comment">//DbgPrnt(&quot;m_LayerInfo | PPOperators.OVERRIDE at: &quot; + i);</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                    override_active = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            m_CommandLayersArray.Clear();</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            Param1&lt;int&gt;.Cast(p_total).param1 = int_value_total;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="comment">//DbgPrnt(&quot;PPEDebug | PPEMatClassParameterInt - UpdateParameterValues | mat/par/req: &quot; + m_MaterialIndex + &quot;/&quot; + m_ParameterIndex + &quot;/&quot; + req_data.GetRequesterIDX() + &quot; | parameter update end, removing from queue&quot;);</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.ParamUpdateRemove(m_ParameterIndex);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        m_CurrentValues = p_total;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a171264ce1a7a2bd6399cd84a18768fe0">  178</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a171264ce1a7a2bd6399cd84a18768fe0">PrepareLayerInfo</a>(<span class="keywordtype">int</span> layer, <span class="keywordtype">int</span> value, <span class="keywordtype">int</span> <span class="keyword">operator</span>)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <a class="code hl_variable" href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a>.Set(layer,{value,<span class="keyword">operator</span>});</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a155918d7a270a92e7ad4850970a7a468">AddPriorityInfo</a>(layer);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aed0dd50d062947a4af59be8591c84ec1">  185</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aed0dd50d062947a4af59be8591c84ec1">SetParameterValueDefault</a>(inout <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> p_total)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        p_total = <span class="keyword">new</span> Param1&lt;int&gt;(<a class="code hl_typedef" href="../../d1/d76/_p_p_e_constants_8c.html#a7ff7244ed06093256c10603f1dc6413b">PPETemplateDefInt</a>.Cast(m_Defaults).param2);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        m_CurrentValues = p_total;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="comment">//DbgPrnt(&quot;PPEDebug | PPEMatClassParameterInt - UpdateParameterValues | exit 3 - zero value&quot;);</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a055fe6645543d5aac6f214277f064eda"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a055fe6645543d5aac6f214277f064eda">PPOperators</a></div><div class="ttdeci">PPOperators</div><div class="ttdoc">PP operator masks specify operation between subsequent layers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00051">PPEConstants.c:52</a></div></div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a7ff7244ed06093256c10603f1dc6413b"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a7ff7244ed06093256c10603f1dc6413b">PPETemplateDefInt</a></div><div class="ttdeci">Param4&lt; string, int, int, int &gt; PPETemplateDefInt</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00085">PPEConstants.c:85</a></div></div>
<div class="ttc" id="a_p_p_e_mat_class_parameter_color_8c_html_a4fee40cf2b70ab0daeafdb68d126adb8"><div class="ttname"><a href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c.html#a4fee40cf2b70ab0daeafdb68d126adb8">m_LayerInfo</a></div><div class="ttdeci">protected ref map&lt; int, ref ColorValuesData &gt; m_LayerInfo</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/de2/_p_p_e_mat_class_parameter_color_8c_source.html#l00044">PPEMatClassParameterColor.c:44</a></div></div>
<div class="ttc" id="a_p_p_e_mat_class_parameter_float_8c_html_a7b2c67d6e8db886f1152813cf1ff35e7"><div class="ttname"><a href="../../da/d74/_p_p_e_mat_class_parameter_float_8c.html#a7b2c67d6e8db886f1152813cf1ff35e7">m_ValueDefault</a></div><div class="ttdeci">protected float m_ValueDefault</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d74/_p_p_e_mat_class_parameter_float_8c_source.html#l00240">PPEMatClassParameterFloat.c:240</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html">PPEMatClassParameterCommandData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_p_p_e_mat_class_parameter_bool_8c_source.html#l00001">PPEMatClassParameterBool.c:2</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a00378ff98744977f1a55ea75061aa1e6"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a00378ff98744977f1a55ea75061aa1e6">PPEMatClassParameterCommandData::m_LayerInfo</a></div><div class="ttdeci">protected ref map&lt; int, ref array&lt; int, int &gt; &gt; m_LayerInfo</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00003">PPEMatClassParameterInt.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a06a2dd3f4c86f4ed4803ab516133d905"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a06a2dd3f4c86f4ed4803ab516133d905">PPEMatClassParameterCommandData::m_ValueDefault</a></div><div class="ttdeci">protected bool m_ValueDefault</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_p_p_e_mat_class_parameter_bool_8c_source.html#l00006">PPEMatClassParameterBool.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a155918d7a270a92e7ad4850970a7a468"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a155918d7a270a92e7ad4850970a7a468">PPEMatClassParameterCommandData::AddPriorityInfo</a></div><div class="ttdeci">void AddPriorityInfo(int priority)</div><div class="ttdoc">Adds 'layers' to be iterated throug.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_p_p_e_mat_class_parameter_command_data_8c_source.html#l00081">PPEMatClassParameterCommandData.c:81</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a171264ce1a7a2bd6399cd84a18768fe0"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a171264ce1a7a2bd6399cd84a18768fe0">PPEMatClassParameterCommandData::PrepareLayerInfo</a></div><div class="ttdeci">void PrepareLayerInfo(int layer, int value, int operator)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00178">PPEMatClassParameterInt.c:178</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a342d65aa486ea49729d6e988699c4593"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a342d65aa486ea49729d6e988699c4593">PPEMatClassParameterCommandData::GetParameterVarType</a></div><div class="ttdeci">override int GetParameterVarType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00024">PPEMatClassParameterInt.c:24</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a649840e17211473739a2ae73a60e5a03"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a649840e17211473739a2ae73a60e5a03">PPEMatClassParameterCommandData::m_ValueDefault</a></div><div class="ttdeci">protected int m_ValueDefault</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00006">PPEMatClassParameterInt.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a6e7115087c1f2d5d4080861799ed3785"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a6e7115087c1f2d5d4080861799ed3785">PPEMatClassParameterCommandData::InitDefaults</a></div><div class="ttdeci">override void InitDefaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00013">PPEMatClassParameterInt.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a7f9a52e1c76ce290056e482778032340"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a7f9a52e1c76ce290056e482778032340">PPEMatClassParameterCommandData::PPEMatClassParameterInt</a></div><div class="ttdeci">void PPEMatClassParameterInt(int mat_idx, int parameter_idx, PPEClassBase parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00008">PPEMatClassParameterInt.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a80a7ad9afd6c7c2ff03c083226c5d581"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a80a7ad9afd6c7c2ff03c083226c5d581">PPEMatClassParameterCommandData::Update</a></div><div class="ttdeci">override void Update(float timeslice, out Param p_total, out bool setting_defaults, int order)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00029">PPEMatClassParameterInt.c:29</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_aac6b657840015b06fae2fb7bbd20fda1"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aac6b657840015b06fae2fb7bbd20fda1">PPEMatClassParameterCommandData::InitCuttent</a></div><div class="ttdeci">override void InitCuttent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00019">PPEMatClassParameterInt.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_ac89b7fedf92ffe9805f9bacef7330ee1"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ac89b7fedf92ffe9805f9bacef7330ee1">PPEMatClassParameterCommandData::PrepareLayerInfo</a></div><div class="ttdeci">void PrepareLayerInfo(int layer, bool value, int operator)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_p_p_e_mat_class_parameter_bool_8c_source.html#l00178">PPEMatClassParameterBool.c:178</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_ad78887a65dd18e8a9de989e5e062955f"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#ad78887a65dd18e8a9de989e5e062955f">PPEMatClassParameterCommandData::m_Int</a></div><div class="ttdeci">protected PPETemplateDefInt m_Int</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c_source.html#l00005">PPEMatClassParameterInt.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_aed0dd50d062947a4af59be8591c84ec1"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#aed0dd50d062947a4af59be8591c84ec1">PPEMatClassParameterCommandData::SetParameterValueDefault</a></div><div class="ttdeci">override void SetParameterValueDefault(inout Param p_total)</div><div class="ttdoc">No active requests for the mat. parameter value change, sets the value to DEFAULT.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_p_p_e_mat_class_parameter_bool_8c_source.html#l00185">PPEMatClassParameterBool.c:185</a></div></div>
<div class="ttc" id="agroup___debug_html_ga786b160dafbe15abb829786ba345cb15"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a></div><div class="ttdeci">void Error(string err)</div><div class="ttdoc">Messagebox with error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00090">EnDebug.c:90</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga56eafa8f245b4dc543abbf857f1bc41a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Math::Min</a></div><div class="ttdeci">static proto float Min(float x, float y)</div><div class="ttdoc">Returns smaller of two given values.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_c47f94472bb805e132f6030d73142c12.html">MatParameters</a></li><li class="navelem"><a class="el" href="../../d9/dae/_p_p_e_mat_class_parameter_int_8c.html">PPEMatClassParameterInt.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
